summaryrefslogtreecommitdiffstats
path: root/system/heirloom-doctools
diff options
context:
space:
mode:
author Ruben Schuller <ruben@orgizm.net>2013-06-02 23:05:19 -0500
committer Robby Workman <rworkman@slackbuilds.org>2013-06-04 00:11:26 -0500
commit7e6d55c4b3a4b22aeec97875e3ee1390d27e57db (patch)
treee5d387976571231192b10d333b73929b0cddbb0c /system/heirloom-doctools
parentf53b5ed1bce8bacc1f2649d69e2fa4f51fe49eef (diff)
downloadslackbuilds-7e6d55c4b3a4b22aeec97875e3ee1390d27e57db.tar.gz
slackbuilds-7e6d55c4b3a4b22aeec97875e3ee1390d27e57db.tar.xz
system/heirloom-doctools: Added (classic implementation of the troff tools)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/heirloom-doctools')
-rw-r--r--system/heirloom-doctools/README27
-rw-r--r--system/heirloom-doctools/heirloom-doctools.SlackBuild107
-rw-r--r--system/heirloom-doctools/heirloom-doctools.info10
-rw-r--r--system/heirloom-doctools/patches/mk.config.patch-08040738
-rw-r--r--system/heirloom-doctools/patches/mk.config.patch-latest47
-rw-r--r--system/heirloom-doctools/profile.d/heirloom.csh4
-rw-r--r--system/heirloom-doctools/profile.d/heirloom.sh4
-rw-r--r--system/heirloom-doctools/slack-desc19
8 files changed, 256 insertions, 0 deletions
diff --git a/system/heirloom-doctools/README b/system/heirloom-doctools/README
new file mode 100644
index 0000000000..4676635b9f
--- /dev/null
+++ b/system/heirloom-doctools/README
@@ -0,0 +1,27 @@
+heirloom-doctools (classic implementation of the troff tools)
+
+The Heirloom Documentation Tools package provides troff, nroff, and
+related utilities to format manual pages and other documents for
+output on terminals and printers. They are portable and enhanced
+versions of the utilities released by Sun as part of OpenSolaris,
+which are a variant of ditroff, which, in turn, descends to the
+historical Unix troff that generated output for the C/A/T
+phototypesetter.
+
+Tarball / CVS version:
+This SlackBuild can be used for the tarball-version, but also for
+a cvs checkout version. To use the cvs version use:
+
+$ cvs -d:pserver:anonymous@heirloom.cvs.sourceforge.net:/cvsroot/heirloom login
+CVS password:<just type return>
+$ cvs -d:pserver:anonymous@heirloom.cvs.sourceforge.net:/cvsroot/heirloom co -P heirloom-doctools
+
+in this directory and call the SlackBuild with
+VERSION=latest ./heirloom-doctools.SlackBuild
+
+Path settings:
+The files get installed into /opt/heirloom . The included
+/etc/profile.d/heirloom.sh script sets the PATH to include this
+directory _in front of_ the usual paths, so that troff points
+to the heirloom version, not the gnu version. To enable this
+behaviour, make the heirloom.sh script executable.
diff --git a/system/heirloom-doctools/heirloom-doctools.SlackBuild b/system/heirloom-doctools/heirloom-doctools.SlackBuild
new file mode 100644
index 0000000000..fa887877e7
--- /dev/null
+++ b/system/heirloom-doctools/heirloom-doctools.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for heirloom-doctools
+
+# Copyright 2013 Ruben Schuller
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=heirloom-doctools
+VERSION=${VERSION:-080407}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ "$VERSION" = "latest" ]; then
+ cp -r $CWD/$PRGNAM .
+ cd $PRGNAM
+else
+ tar xvf $CWD/$PRGNAM-${VERSION}.tar.bz2
+ cd $PRGNAM-$VERSION
+fi
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch < $CWD/patches/mk.config.patch-$VERSION
+
+make
+make install ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+if [ "$VERSION" = "latest" ]; then
+cp -ar \
+ $CWD/$PRGNAM/README \
+ $CWD/$PRGNAM/LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+else
+cp -ar \
+ README \
+ LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/profile.d
+cp $CWD/profile.d/heirloom.{csh,sh} $PKG/etc/profile.d
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/heirloom-doctools/heirloom-doctools.info b/system/heirloom-doctools/heirloom-doctools.info
new file mode 100644
index 0000000000..bbb33c6f54
--- /dev/null
+++ b/system/heirloom-doctools/heirloom-doctools.info
@@ -0,0 +1,10 @@
+PRGNAM="heirloom-doctools"
+VERSION="080407"
+HOMEPAGE="http://heirloom.sourceforge.net/doctools.html"
+DOWNLOAD="http://downloads.sourceforge.net/heirloom/heirloom-doctools-080407.tar.bz2"
+MD5SUM="0fa9000c1508b793e533c6ffcaa0f647"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ruben Schuller"
+EMAIL="ruben@orgizm.net"
diff --git a/system/heirloom-doctools/patches/mk.config.patch-080407 b/system/heirloom-doctools/patches/mk.config.patch-080407
new file mode 100644
index 0000000000..ac84179f25
--- /dev/null
+++ b/system/heirloom-doctools/patches/mk.config.patch-080407
@@ -0,0 +1,38 @@
+--- mk.config 2008-04-07 20:42:01.000000000 +0200
++++ mk.config.tarball 2013-03-25 00:42:05.491153492 +0100
+@@ -1,22 +1,22 @@
+ #
+ # A BSD-compatible install command.
+ #
+-INSTALL=/usr/ucb/install
++INSTALL=/usr/bin/install
+
+ #
+ # Packaging prefix.
+ #
+-PREFIX=/usr
++PREFIX=/opt/heirloom
+
+ #
+ # Where to place binaries.
+ #
+-BINDIR=$(PREFIX)/ucb
++BINDIR=$(PREFIX)/bin
+
+ #
+ # Where to place libraries.
+ #
+-LIBDIR=$(PREFIX)/ucblib
++LIBDIR=$(PREFIX)/lib
+
+ #
+ # Where to place ASCII charts and the like.
+@@ -26,7 +26,7 @@
+ #
+ # Where to place manual pages.
+ #
+-MANDIR=$(PREFIX)/share/man/5man
++MANDIR=$(PREFIX)/man
+
+ #
+ # Where to place the troff macro packages.
diff --git a/system/heirloom-doctools/patches/mk.config.patch-latest b/system/heirloom-doctools/patches/mk.config.patch-latest
new file mode 100644
index 0000000000..58c7540cb0
--- /dev/null
+++ b/system/heirloom-doctools/patches/mk.config.patch-latest
@@ -0,0 +1,47 @@
+--- heirloom-doctools/mk.config 2008-04-07 20:55:15.000000000 +0200
++++ heirloom-doctools/mk.config.new 2013-03-22 19:18:29.311264770 +0100
+@@ -1,22 +1,22 @@
+ #
+ # A BSD-compatible install command.
+ #
+-INSTALL=/usr/ucb/install
++INSTALL=/usr/bin/install
+
+ #
+ # Packaging prefix.
+ #
+-PREFIX=/usr
++PREFIX=/opt/heirloom
+
+ #
+ # Where to place binaries.
+ #
+-BINDIR=$(PREFIX)/ucb
++BINDIR=$(PREFIX)/bin
+
+ #
+ # Where to place libraries.
+ #
+-LIBDIR=$(PREFIX)/ucblib
++LIBDIR=$(PREFIX)/lib
+
+ #
+ # Where to place ASCII charts and the like.
+@@ -26,7 +26,7 @@
+ #
+ # Where to place manual pages.
+ #
+-MANDIR=$(PREFIX)/share/man/5man
++MANDIR=$(PREFIX)/man
+
+ #
+ # Where to place the troff macro packages.
+@@ -111,7 +111,7 @@
+ #
+ # A Bourne-compatible shell.
+ #
+-SHELL=/sbin/sh
++SHELL=/bin/sh
+
+ #
+ # Run ranlib if it is in the current path. This should take care
diff --git a/system/heirloom-doctools/profile.d/heirloom.csh b/system/heirloom-doctools/profile.d/heirloom.csh
new file mode 100644
index 0000000000..4ea2d3f2ca
--- /dev/null
+++ b/system/heirloom-doctools/profile.d/heirloom.csh
@@ -0,0 +1,4 @@
+#!/bin/csh
+setenv HEIRLOOM /opt/heirloom
+setenv MANPATH ${MANPATH}:${HEIRLOOM}/man
+setenv PATH ${PATH}:${HEIRLOOM}/bin
diff --git a/system/heirloom-doctools/profile.d/heirloom.sh b/system/heirloom-doctools/profile.d/heirloom.sh
new file mode 100644
index 0000000000..738be882a3
--- /dev/null
+++ b/system/heirloom-doctools/profile.d/heirloom.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+export HEIRLOOM=/opt/heirloom
+export MANPATH="$HEIRLOOM/man:$MANPATH"
+export PATH="$HEIRLOOM/bin:$PATH"
diff --git a/system/heirloom-doctools/slack-desc b/system/heirloom-doctools/slack-desc
new file mode 100644
index 0000000000..bc2c72ef97
--- /dev/null
+++ b/system/heirloom-doctools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+heirloom-doctools: heirloom-doctools (classic implementation of the troff tools)
+heirloom-doctools:
+heirloom-doctools: The Heirloom Documentation Tools package provides troff, nroff, and
+heirloom-doctools: related utilities to format manual pages and other documents for
+heirloom-doctools: output on terminals and printers. They are portable and enhanced
+heirloom-doctools: versions of the utilities released by Sun as part of OpenSolaris,
+heirloom-doctools: which are a variant of ditroff, which, in turn, descends to the
+heirloom-doctools: historical Unix troff that generated output for the C/A/T
+heirloom-doctools: phototypesetter.
+heirloom-doctools:
+heirloom-doctools: